> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/pam/it/pam-with-devolutions-server/providers/managed-providers/mongodb-provider.md).

# Provider MongoDB

Questo articolo elenca i privilegi MongoDB minimi di cui un utente provider ha bisogno per la rilevazione degli account e la rotazione delle password in Devolutions Server.

| **Autorizzazione** | **Ambito** | **Motivo**                                                                                                                                                                 |
| ------------------ | ---------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `listDatabases`    | `cluster`  | Consente di elencare tutti i database del cluster. Questo è necessario per poter elencare qualsiasi database accessibile per la funzionalità di rilevazione degli account. |
| `viewUser`         |            | Funzionalità di rilevazione degli account                                                                                                                                  |
| `changePassword`   |            | Funzionalità di rotazione delle password                                                                                                                                   |

Ecco un esempio di ruolo provider per un utente con privilegi limitati a due database specifici:

```
db.createRole({
  role: "provider",
  privileges: [
    { resource: { cluster: true }, actions: ["listDatabases"] },
    { resource: { db: "Database1", collection: "" }, actions: [ "viewUser", "changePassword" ] },
    { resource: { db: "Database2", collection: "" }, actions: [ "viewUser", "changePassword" ] }
  ],
  roles: []
})
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/pam/it/pam-with-devolutions-server/providers/managed-providers/mongodb-provider.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
